# Function nativeDecimals

- nativeDecimals<K1>(args_0): (K1 extends bigint
  ? `bigint(${K1})`
  : K1 extends boolean
  ? `boolean(${K1})`
  : K1) extends "Solana" | "Algorand" | "Near" | "Sui" | "Aptos" | "Btc" | "Evm" | "Cosmwasm"
  ? {
  Algorand: 6;
  Aptos: 8;
  Btc: 8;
  Cosmwasm: 6;
  Evm: 18;
  Near: 12;
  Solana: 9;
  Sui: 9;
  }[Object] extends {
  [key: string]: unknown;
  }
  ? {
  Algorand: 6;
  Aptos: 8;
  Btc: 8;
  Cosmwasm: 6;
  Evm: 18;
  Near: 12;
  Solana: 9;
  Sui: 9;
  }[Object]
  : {
  Algorand: 6;
  Aptos: 8;
  Btc: 8;
  Cosmwasm: 6;
  Evm: 18;
  Near: 12;
  Solana: 9;
  Sui: 9;
  }[Object]
  : never

- #### Type Parameters

  - #### K1 extends "Solana" | "Algorand" | "Near" | "Sui" | "Aptos" | "Btc" | "Evm" | "Cosmwasm"

  #### Parameters

  - ##### args_0: K1

  #### Returns (K1 extends bigint
  ? `bigint(${K1})`
  : K1 extends boolean
  ? `boolean(${K1})`
  : K1) extends "Solana" | "Algorand" | "Near" | "Sui" | "Aptos" | "Btc" | "Evm" | "Cosmwasm"
  ? {
  Algorand: 6;
  Aptos: 8;
  Btc: 8;
  Cosmwasm: 6;
  Evm: 18;
  Near: 12;
  Solana: 9;
  Sui: 9;
  }[Object] extends {
  [key: string]: unknown;
  }
  ? {
  Algorand: 6;
  Aptos: 8;
  Btc: 8;
  Cosmwasm: 6;
  Evm: 18;
  Near: 12;
  Solana: 9;
  Sui: 9;
  }[Object]
  : {
  Algorand: 6;
  Aptos: 8;
  Btc: 8;
  Cosmwasm: 6;
  Evm: 18;
  Near: 12;
  Solana: 9;
  Sui: 9;
  }[Object]
  : never

  - Defined in core/base/dist/esm/constants/decimals.d.ts:1

Generated using TypeDoc